Release

7.003b Released! (Installer Fixes )

Team,

7.003b has been updated to work along with the site installment instructions; including a few minor bugs fixes! Enjoy!

 

The PG Team,

Admin9705

Admin9705 posses a Masters Degree in Project Management and a Bachelors Degree in Business IT Administration. He currently posses nearly 40 certifications including CISSP, CCNP, and PMP. Admin9705 built this website being frustrated with all the fragmentary solutions all over the web. He enjoys running, coding, playing soccer, is a life learner and loves Final Fantasy!
OP
OP
Admin9705

Admin9705

Administrator
Project Manager
Joined
Jan 17, 2018
Messages
3,531
Likes
1,261
#2
Me again,

Plex install gives me an error:
fatal: [127.0.0.1]: FAILED! => {"changed": false, "msg": "Failed to import docker-py - No module named requests.exceptions. Try `pip install docker-py`"}

The first stage of the plex install was ok up to the claim process.

Denis
you got the docker install of death. this occurs on 18.10 systems (18 server). are you using this?
 

plex_noob

PG Overlord
Tech Support
Joined
Oct 1, 2018
Messages
44
Likes
13
Location
Brussels
#3
Nope, 18.04 LTS
 
Last edited:
OP
OP
Admin9705

Admin9705

Administrator
Project Manager
Joined
Jan 17, 2018
Messages
3,531
Likes
1,261
#4
all i can tell you is wipe and try again. maybe with the numerous half installs, maybe resulted in this issue. other's reported install fine. don't see on my 2 test boxes also. the docker install hasn't changed since 6.035
 

plex_noob

PG Overlord
Tech Support
Joined
Oct 1, 2018
Messages
44
Likes
13
Location
Brussels
#5
Sorry to come with so many posts but it's for the best :)

I reinstalled everything from scratch and got an error when trying to define a backup cron job of a container:

TASK [Schedule CronJob] ********************************************************************************************************************************************************************************************************************************************Tuesday 06 November 2018 13:04:10 +0100 (0:00:00.078) 0:00:27.815 ******
ERROR! the role 'remove' was not found in /opt/plexguide/programs/core/roles:/root/.ansible/roles:/usr/share/ansible/roles:/etc/ansible/roles:/opt/plexguide/programs/core

The error appears to have been in '/opt/plexguide/menu/interface/pgcron/main.yml': line 77, column 11, but may
be elsewhere in the file depending on the exact syntax problem.

The offending line appears to be:

include_role:
name: remove
^ here

to retry, use: --limit @/opt/plexguide/programs/core/main.retry

Denis
 

breakinthru119

PG User
Member
Joined
Mar 10, 2018
Messages
2
Likes
1
#6
I'm getting the same message on a fresh install. Just an fyi
 
OP
OP
Admin9705

Admin9705

Administrator
Project Manager
Joined
Jan 17, 2018
Messages
3,531
Likes
1,261
#7
ya will check. wasn't getting, but worth looking. is this during the execution of a program?
 

Qlogic

PG Ambassador
Member
Joined
Feb 24, 2018
Messages
92
Likes
2
#8
when i am trying to update from 7.002b

i get this

rm: cannot remove '/optplexguide': No such file or director

i think it is a typo missing the /
 
Joined
Nov 9, 2018
Messages
2
Likes
0
#9
ya will check. wasn't getting, but worth looking. is this during the execution of a program?
I'm getting the same problem here on a fresh intall. I get this when I'm asked to set a scheduled backup when installing a program, and the program doesnt run.
 

Attachments

Similar threads